package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridItemLib;
import com.ruoyi.system.domain.grid.GridItemLibExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridItemLibMapper {
    long countByExample(GridItemLibExample example);

    int countAll();

    int countSxfl();
    List<GridItemLib> countBySxfl();
    int deleteByExample(GridItemLibExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridItemLib record);

    int insertSelective(GridItemLib record);

    List<GridItemLib> selectByExampleWithBLOBs(GridItemLibExample example);

    List<GridItemLib> selectByExample(GridItemLibExample example);

    GridItemLib selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridItemLib record, @Param("example") GridItemLibExample example);

    int updateByExampleWithBLOBs(@Param("record") GridItemLib record, @Param("example") GridItemLibExample example);

    int updateByExample(@Param("record") GridItemLib record, @Param("example") GridItemLibExample example);

    int updateByPrimaryKeySelective(GridItemLib record);

    int updateByPrimaryKeyWithBLOBs(GridItemLib record);

    int updateByPrimaryKey(GridItemLib record);

}